petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMNetworkGetVariableGlobalOffset

Get the global offset for the variable associated with the given vertex/edge from the global vector.

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetVariableGlobalOffset(DM dm,PetscInt p,PetscInt *offsetg)

Not Collective

### Input Parameters

| dm | - The DMNetwork object
| p | - the edge/vertex point

### Output Parameters

offsetg -the offset

### See Also

DMNetworkGetVariableOffset, DMGetLocalVector

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages